path: /build/build/sdl2-image-media-libs-2.8.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="jpeg png tiff webp" emerge media-libs/sdl2-image -pv -t && \
    USE="jpeg png tiff webp" emerge -j ${JOBS} --nodeps media-libs/sdl2-image
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sdl2-image && luet-portage --dir /pkgdir/sdl2-image
    media-libs/sdl2-image && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:df728534d3438e321778d080ab9e2e4d96f5a48631fc2fef3b00a0041ed4dc43
  package:
    name: sdl2-image
    version: 2.8.2
    category: media-libs
    use_flags:
    - jpeg
    - png
    - tiff
    - webp
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Image decoding for many popular formats for SDL.
    uri:
    - https://www.libsdl.org/projects/SDL_image/
    license: ZLIB
    buildtimestamp: 2024-02-13 02:30:03.303728257 +0000 UTC m=+197.284585734
    labels:
      DEPEND: media-libs/libsdl2 sys-libs/zlib png? ( media-libs/libpng ) jpeg? (
        virtual/jpeg ) tiff? ( media-libs/tiff ) webp? ( media-libs/libwebp )
      IUSE: gif jpeg png static-libs tiff webp
      RDEPEND: media-libs/libsdl2 sys-libs/zlib png? ( media-libs/libpng ) jpeg? (
        virtual/jpeg ) tiff? ( media-libs/tiff ) webp? ( media-libs/libwebp )
      emerge.packages: media-libs/sdl2-image
      kit: media-kit
      original.package.name: media-libs/sdl2-image
      original.package.slot: "0"
      original.package.version: 2.8.2
    treedir: /build/packages
  package_dir: /pkgdir/sdl2-image
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 279c4a6313820652d6113485cfd6bfbb60dca3c97d07f2716a2cb5b3f00306c7
compressiontype: zstd
files:
- usr/include/SDL2/SDL_image.h
- usr/lib64/cmake/SDL2_image/sdl2_image-config-version.cmake
- usr/lib64/cmake/SDL2_image/sdl2_image-config.cmake
- usr/lib64/libSDL2_image-2.0.so.0
- usr/lib64/libSDL2_image-2.0.so.0.800.2
- usr/lib64/libSDL2_image.so
- usr/lib64/pkgconfig/SDL2_image.pc
- usr/share/doc/sdl2-image-2.8.2/CHANGES.txt.bz2
- usr/share/doc/sdl2-image-2.8.2/README.txt.bz2
- var/db/pkg/media-libs/sdl2-image-2.8.2/BUILD_TIME
- var/db/pkg/media-libs/sdl2-image-2.8.2/CATEGORY
- var/db/pkg/media-libs/sdl2-image-2.8.2/CBUILD
- var/db/pkg/media-libs/sdl2-image-2.8.2/CFLAGS
- var/db/pkg/media-libs/sdl2-image-2.8.2/CHOST
- var/db/pkg/media-libs/sdl2-image-2.8.2/CONTENTS
- var/db/pkg/media-libs/sdl2-image-2.8.2/COUNTER
- var/db/pkg/media-libs/sdl2-image-2.8.2/CXXFLAGS
- var/db/pkg/media-libs/sdl2-image-2.8.2/DEFINED_PHASES
- var/db/pkg/media-libs/sdl2-image-2.8.2/DEPEND
- var/db/pkg/media-libs/sdl2-image-2.8.2/DESCRIPTION
- var/db/pkg/media-libs/sdl2-image-2.8.2/EAPI
- var/db/pkg/media-libs/sdl2-image-2.8.2/FEATURES
- var/db/pkg/media-libs/sdl2-image-2.8.2/HOMEPAGE
- var/db/pkg/media-libs/sdl2-image-2.8.2/IUSE
- var/db/pkg/media-libs/sdl2-image-2.8.2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/sdl2-image-2.8.2/KEYWORDS
- var/db/pkg/media-libs/sdl2-image-2.8.2/LDFLAGS
- var/db/pkg/media-libs/sdl2-image-2.8.2/LICENSE
- var/db/pkg/media-libs/sdl2-image-2.8.2/NEEDED
- var/db/pkg/media-libs/sdl2-image-2.8.2/PF
- var/db/pkg/media-libs/sdl2-image-2.8.2/PROVIDES
- var/db/pkg/media-libs/sdl2-image-2.8.2/RDEPEND
- var/db/pkg/media-libs/sdl2-image-2.8.2/REQUIRES
- var/db/pkg/media-libs/sdl2-image-2.8.2/SIZE
- var/db/pkg/media-libs/sdl2-image-2.8.2/SLOT
- var/db/pkg/media-libs/sdl2-image-2.8.2/USE
- var/db/pkg/media-libs/sdl2-image-2.8.2/environment.bz2
- var/db/pkg/media-libs/sdl2-image-2.8.2/repository
- var/db/pkg/media-libs/sdl2-image-2.8.2/sdl2-image-2.8.2.ebuild
package_cacheimage: ""
runtime:
  name: sdl2-image
  version: 2.8.2
  category: media-libs
  use_flags:
  - jpeg
  - png
  - tiff
  - webp
  requires:
  - name: libsdl2
    version: '>=0'
    category: media-libs
  - name: tiff
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Image decoding for many popular formats for SDL.
  uri:
  - https://www.libsdl.org/projects/SDL_image/
  license: ZLIB
  labels:
    DEPEND: media-libs/libsdl2 sys-libs/zlib png? ( media-libs/libpng ) jpeg? ( virtual/jpeg
      ) tiff? ( media-libs/tiff ) webp? ( media-libs/libwebp )
    IUSE: gif jpeg png static-libs tiff webp
    RDEPEND: media-libs/libsdl2 sys-libs/zlib png? ( media-libs/libpng ) jpeg? ( virtual/jpeg
      ) tiff? ( media-libs/tiff ) webp? ( media-libs/libwebp )
    emerge.packages: media-libs/sdl2-image
    kit: media-kit
    original.package.name: media-libs/sdl2-image
    original.package.slot: "0"
    original.package.version: 2.8.2
